commit 065c42427d137053dd4490b8aaee9bf3ecd81539
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 15 10:08:17 2022 -0700

    xditview 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4110fd5e57f5b42d37e821cf56ce5fa59728e3f2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 11 13:06:48 2022 -0700

    Declare guesses const
    
    As suggested by cppcheck:
    
    parse.c:163:19: style: Variable 'guesses' can be declared with const [constVariable]
           static int guesses[] = { 1, 4, 100, 1000, 1 };
                      ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f5cb430f246850e8213fe5cd95b4ea44228f3c3b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 11 12:55:15 2022 -0700

    Avoid leak of new_file if we decide not to use it
    
    As warned by cppcheck:
    xditview.c:338:13: error: Resource leak: new_file [resourceLeak]
                return;
                ^
    xditview.c:342:13: error: Resource leak: new_file [resourceLeak]
                return;
                ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 776e7c4dae63e2541a6f3822c3e9d659f9af101e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 11 12:45:32 2022 -0700

    Use standard strrchr() instead of ancient rindex()
    
    As suggested by cppcheck:
    
    xditview.c:359:32: style: Obsolescent function 'rindex' called.
      It is recommended to use 'strrchr' instead. [rindexCalled]
        if (name[0] != '/' && (n = rindex (name, '/')))
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d1e202f83774543aeb6e66a9dc46160e2bfff5d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 11 12:35:40 2022 -0700

    Inline *Move & *Goto functions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca9c5d01c44fe3a67389f3e6e0bcc34bac09c1c0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 11 12:28:28 2022 -0700

    Delete HorizontalMove macro that shadows/duplicates HorizontalMove function
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 05987580ba303f6d25830bb45ce00229cb8118cc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 11 12:11:11 2022 -0700

    Fix -Wsign-compare warnings
    
    xditview.c: In function ‘main’:
    xditview.c:196:23: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (int i = 0; i < XtNumber (popupMenuEntries); i++) {
                           ^
    xditview.c:211:23: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (int i = 0; i < XtNumber (fileMenuEntries); i++) {
                           ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 770fc7881a48b8d81c9b04d99d29059033234af6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 11 12:07:35 2022 -0700

    Clear -Wmissing-field-initializers warnings
    
    DviChar.c:392:1: warning: missing initializer for field ‘buckets’ of ‘DviCharNameMap {aka struct _dviCharNameMap}’ [-Wmissing-field-initializers]
     };
     ^
    In file included from DviChar.c:9:0:
    DviChar.h:34:22: note: ‘buckets’ declared here
         DviCharNameHash *buckets[DVI_HASH_SIZE];
                          ^~~~~~~
    DviChar.c:658:1: warning: missing initializer for field ‘buckets’ of ‘DviCharNameMap {aka struct _dviCharNameMap}’ [-Wmissing-field-initializers]
     };
     ^
    In file included from DviChar.c:9:0:
    DviChar.h:34:22: note: ‘buckets’ declared here
         DviCharNameHash *buckets[DVI_HASH_SIZE];
                          ^~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f5656f8b21291713f32d2667e4fe2d98a8771436
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 11 12:01:16 2022 -0700

    Use _CONST_X_STRING to make libXt declare String as const char *
    
    Clears 42 out of 66 -Wdiscarded-qualifiers warnings from gcc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d5ec989d9d0259f1b8138ea3fe0b59e12053a796
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 11 11:56:06 2022 -0700

    Variable scope reductions as recommended by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b6f328961cb098ac34df83052d801769fb4a7ff9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 12:50:33 2022 -0700

    man page: remove out-of-date COPYRIGHT section
    
    The information previously listed here didn't match what is present in
    the source code or the COPYING file, and the X(7) man page doesn't list
    any license information as this had claimed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 987a18597716e83eb808fbf33e7da9d7f1503dc7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 11:35:16 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 703e442fa656a35149df3460c638f79f3d2f0b07
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 11:35:13 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2ce24da43a5f8bc7d675b3d061c80bff6172a10c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 14:08:25 2021 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9b5e869ac505bf14b0051dbaabe0de38133f5fd5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 3 11:12:25 2019 -0800

    xditview 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8ec60659b075307e38fab4bcb8fe949830decdee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:01:01 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 36242c559543ffa21570ca961ba950ee0d73c9dd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 21:23:12 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3cd0b7e72ed741bdc26ea7ffd5ea2f4ec3af4f96
Author: Pat Kane <pekane52@gmail.com>
Date:   Tue Dec 7 22:32:24 2010 -0600

    make sure filename is a regular file.
    
    This is the second version of patch.
    
    It now uses fstat instead of stat as recommended in
    review comments from:
        Philipp Hagemeister <phihag@phihag.de>.
    Bug was reported by:
        Krzysztof Żelechowski <giecrilj@stegny.2a.pl>
    
    Signed-off-by: Pat Kane <pekane52@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5383f408b1138913fd6d7d94da70f63bed711857
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 27eb7660e2b186c7a4c84ccab14631f5a8d5b571
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bcf883b274d0d68c56047a9720bb24e9a34d62de
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit d8b43b22c6432e7c927236b6e729a53f737cedfb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 23:07:15 2015 -0700

    xditview 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b35fd1fb11d26dbe2be060a77a8a275b98d28251
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 8 09:29:58 2014 -0800

    Use SEEK_* names instead of raw numbers for fseek whence argument
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 67506ce7948065ae81f370bb821645de4c7daf9b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 25 13:39:48 2014 -0700

    Remove CVS/RCS $Id tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c14b35a3b958663056a887471a1280842efbb981
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 25 13:27:06 2014 -0700

    Combine usage message strings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb2b3214a0593b0970cd8738d34d0ac3e1268b38
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 25 13:15:46 2014 -0700

    Remove #if 0 code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5134d3eaaeb25a49622d827af7c783b980a10919
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 25 13:12:31 2014 -0700

    unifdef -UNOTDEF -UNOTUSED

commit f7f6ce39ca5f1988f04696581f261bf59c23dc4c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 25 12:56:45 2014 -0700

    Const cleanup
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit da45a0a835bf2d2abb2810ca7bdb9cbc450f7135
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:24:37 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bc59f4d3543192e8ccd29f70db9f3dcb4e23fd5a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:24:37 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fc869719ccf944905316692c94c236f249aeb8c2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:24:25 2014 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4768101b52f5e5324208c5c014bac87e0eb28b39
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 18 18:13:43 2014 -0800

    Convert sprintf calls to snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 93986e62c7793ef7bb3123748249302e974b72e6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 15:18:28 2013 -0700

    Close file leak when fdopen() fails in OpenFile()
    
    Found by parfait 1.1 bug checking tool:
    Error: File Leak
       File Descriptor Leak: Leaked File Descriptor fd
            at line 457 of app/xditview/Dvi.c in function 'OpenFile'.
              fd initialized at line 449 with mkstemp
    
    Also reorganize & clean up the code a bit while we're here
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 23371e39e595056b3db2e361fad8a21ed4a0d9e7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 12 16:36:26 2013 -0800

    xditview 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 257b2cdcaeb19a75b3e61e11a038244af89d3179
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a81efa4ac87783a42ffb5f8099b05016903fb1a4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a274cf7cbf58d9e3b40c7146c191a63a995e9f2d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e65ffae36608a8c7d4cf24d6c1c1a686b70abc00
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 78fe41b9f00cd8ad5ee8532ae70771b0e0fe6756
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1616e2d2e5c632c7a175dee2b0ae4e2b737bb648
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:54:40 2011 -0500

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8 or later
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b05d3efcd5ecceb73edc9e64cc07a5c7fcfaa321
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 6 16:08:20 2010 -0700

    xditview 1.0.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cc0f7c0855e22a50d2ffca3f3be104d44854ae2c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 6 16:05:21 2010 -0700

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all X.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 71b679ff4a6680368f3da23b184e081fdf4bedfd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 6 08:54:56 2010 -0700

    Use AM_CFLAGS instead of requiring AM_PROG_CC_C_O
    
    Since we don't build different targets with different CFLAGS,
    simplify configuration and build.
    
    Also remove AC_PROG_CC since XORG_DEFAULT_OPTIONS handles that now.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d5842d32d880fab4e076776b669b6cd3d07a8ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 6 08:50:47 2010 -0700

    Fill in COPYING file with copyright notices from source code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c61d64144df11490353c436d103976dd6949c2e2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 1 17:46:28 2010 -0700

    Xmu functions are called directly, so include it in PKG_CHECK_MODULES
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8861f35c5199902638458d16267e455ac482eb1f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 30 23:25:03 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a2453f7648632483c5e229a9c55f232b5ceee6d4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Dec 19 20:48:47 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1c1473782948289aa5747b157853939c0005c86d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:53 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit c8f4d8fec8d9d267d514069f22bb97d78d9bf02e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit b20e0836477153bd42955d152c87c0b3652bbd40
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 1d80ad4cc2d12060aa2d263b7775fa1095facf4d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 1393c45552fc14e8210470f4e9e5f0ff61c23728
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit c02e64f7a2cc1a59fb24b6c3bf125dd177d20ed9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:22 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 9eed454db87e3d1956298558b8595d4fddd85d05
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 13 17:18:26 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit a73267ed9bca410a83fd2a9ff3bcc0b659804295
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 20 10:32:50 2008 -0400

    xaw8 is gone, use xaw7

commit 698cffe8f81447969cf5bab75fff41c0e24d0939
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:32:09 2008 -0700

    Added missing AM_PROG_CC_C_O

commit 4ce9072751ab49742a5c1e56846540edd20ade9a
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:07:57 2008 -0700

    Build fix for file systems that are not case sensitive

commit 0d6dfa2a57288c749ca84d105644c12ddc3019ec
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:11 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 96ac95a860acd786cf592057ff1dbf3aff54e12d
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:18 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit ab06b0738229e92404e4ebce74fcc49e8ea9baff
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:24:42 2007 -0400

    Rename .cvsignore to .gitignore

commit fa5bac56eaa4d1b220be9482758f44d658df8657
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:49 2005 +0000

    Update package version for X11R7 release.

commit 50b53649ad329f1a5c038deeeafe681924b6eddd
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:43 2005 +0000

    Stub COPYING files

commit d0ecfe6cdfe672b1340ecb1d14b97922a375f91a
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:05 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 7dfe2ee4c0312d7ca924d77c09098ca5b4948b3b
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 7 16:17:59 2005 +0000

    Change to use the app-defaults default dir configured in libXt.

commit 66a5572e4d49de7366d9cb6586cfdb4a41e6aa6a
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:20 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit e069c91ac9d5919779dabaaf238a73997cb39411
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:19 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 837f6e226dfcc1f08669c2a9353706f51c06948e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:40 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 86c3aed84692ba2e8abba4e71e095be1c74a1472
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:59 2005 +0000

    Another pass at .cvsignores for apps.

commit a2aaf98c495e0898320085deca662a5352fc6df4
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:51 2005 +0000

    Add/improve .cvsignore files for apps.

commit 98a90f8714b490e32e5a5c9ab95028e0bb877e05
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:53 2005 +0000

    Update package version number for RC1 release.

commit 6dbb0ac2ad3435721cdbd9e556010926e04379f9
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:32:54 2005 +0000

    Change default install dir for app-default files from
        $(sysconfdir)/X11/app-defaults to $(libdir)/X11/app-defaults to match
        the monolith & allow localization

commit da0f86782a9172bf23efe514adf2025b936c626e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:21 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 59535c605a073db09aa1c08a93d056b1b9bd90a9
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:44 2005 +0000

    Use sed to fill in variables in man page

commit 7cc94256cfb6146ea03f37bcc710f9177032d979
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Oct 2 19:35:49 2005 +0000

    Add ldblarrow & rdblarrow bitmaps to xditview

commit 2e789b84345923e0718985ed91de1ffe715a0d72
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:29 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 8ad58e473b58679bf73128e1396bbd40b4116d93
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:31 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit f962df222c7d88dae609679a3fd7dc8bb892c869
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 26 15:44:02 2005 +0000

    Replace more GNU make-ism's with more portable macros

commit f9a1705a1ff8b5a585bbc04925519992b4c09523
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:52 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 8f71071ec06b471378321afe3980cb80de111621
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 22:07:13 2005 +0000

    Add #ifdef HAVE_CONFIG_H/#include "config.h" to files that need it to get
        HAS_MKSTEMP defined in modular builds.

commit d2835ed1c92ed5504455831e861a33b9ebedee7e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 22:00:11 2005 +0000

    Convert more app-defaults rules to work with non-GNU make

commit 783f6b29ef8cfa45394847eea56362073f552b30
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 21:59:14 2005 +0000

    Define HAS_MKSTEMP if mkstemp() is present (needed for improved protection
        against tempfile race conditions in many places)

commit a72338b2f0fef721d6388d292ece4b21f19e9def
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Wed Jul 6 19:53:30 2005 +0000

    Build system for xditview

commit f6f89b92dce48d65da1e89debbf15b1ff8b727de
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:42 2004 +0000

    Merging XORG-CURRENT into trunk

commit b932978399dfc078e0216ec6073f237a60ed32fe
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:11 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 7d1befb96b2874812e59335b3a560ed1f3c063c3
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:00 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 436d9f6ea33a815a21d7066354a3a6e317901057
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:17 2004 +0000

    readding XFree86's cvs IDs

commit 24d49e45544894cd22fd5fd11145805ccfe88ccc
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:00 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit c355698ae0f02fcc49a528d57a2070d9b0c64fba
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:11 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit de89577b3dd6b405e2fd274afb20eea8dcc651c9
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:21 2003 +0000

    XFree86 4.3.0.1

commit 84735728ed5f6a07d87254860e2776775c54b85b
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:21 2003 +0000

    Initial revision
